paso::LinearSystem Struct Reference

`#include <Functions.h>`

Inheritance diagram for paso::LinearSystem:

## Public Member Functions

| LinearSystem (SystemMatrix_ptr A, double *b, Options *options)
virtual | ~LinearSystem ()
virtual SolverResult | call (double *value, const double *arg, Performance *pp)
| sets value=F(arg) More...
virtual dim_t | getLen ()
| returns the length of the vectors used by this function More...
Public Member Functions inherited from paso::Function
| Function (const escript::JMPI &mpi_info)
virtual | ~Function ()
SolverResult | derivative (double *J0w, const double *w, const double *f0, const double *x0, double *setoff, Performance *pp)

## Public Attributes

SystemMatrix_ptr | mat
double * | tmp
double * | b
dim_t | n
Public Attributes inherited from paso::Function
const escript::JMPI | mpi_info

## Constructor & Destructor Documentation

## LinearSystem()

paso::LinearSystem::LinearSystem | ( | SystemMatrix_ptr | A,
|  | double * | b,
|  | Options * | options
| ) |  |

References paso::util::copy(), and PASO_ONE.

## ~LinearSystem()

paso::LinearSystem::~LinearSystem | ( |  | ) |

virtual

## Member Function Documentation

## call()

SolverResult paso::LinearSystem::call | ( | double * | value,
|  | const double * | arg,
|  | Performance * | pp
| ) |  |

virtual

sets value=F(arg)

Implements paso::Function.

## getLen()

virtual dim_t paso::LinearSystem::getLen | ( |  | ) |

inline virtual

returns the length of the vectors used by this function

Implements paso::Function.

## Member Data Documentation

## b

double* paso::LinearSystem::b

## mat

SystemMatrix_ptr paso::LinearSystem::mat

## n

dim_t paso::LinearSystem::n

## tmp

double* paso::LinearSystem::tmp

The documentation for this struct was generated from the following files:

- Functions.h
- Solver_Function.cpp